std::enable_shared_from_this< _Tp >(3)

NAME
std::enable_shared_from_this< _Tp > - Base class allowing use of member function shared_from_this.

SYNOPSIS

  Public Member Functions
shared_ptr< _Tp > shared_from_this ()
shared_ptr< const _Tp > shared_from_this () const
weak_ptr< const _Tp > weak_from_this () const noexcept
weak_ptr< _Tp > weak_from_this () noexcept

  Protected Member Functions
enable_shared_from_this (const enable_shared_from_this &) noexcept
enable_shared_from_this & operator= (const enable_shared_from_this &) noexcept

  Friends
const enable_shared_from_this * __enable_shared_from_this_base (const __shared_count<> &, const enable_shared_from_this *__p)
template<typename , _Lock_policy > class __shared_ptr

Detailed Description

  template<typename _Tp>
class std::enable_shared_from_this< _Tp >" Base class allowing use of member function shared_from_this.

Definition at line 791 of file bits/shared_ptr.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.